/******************************************************************************
 *
 * Copyright (c) 2013-2021, Lawrence Livermore National Security, LLC
 * and other libROM project developers. See the top-level COPYRIGHT
 * file for details.
 *
 * SPDX-License-Identifier: (Apache-2.0 OR MIT)
 *
 *****************************************************************************/

// Description: A configuration header for libROM.
//

#ifndef INCLUDED_CAROM_CONFIG_H
#define INCLUDED_CAROM_CONFIG_H

#include "FCMangle.h"

#define CAROM_VERSION_MAJOR "1"
#define CAROM_VERSION_MINOR "0"
#define CAROM_VERSION_PATCHLEVEL "0"

/* Have google test library. */
/* #undef CAROM_HAS_GTEST */

/* Enable assertion checking */
/* #undef CAROM_DEBUG_CHECK_ASSERTIONS */
// #define DEBUG_CHECK_ASSERTIONS 1

/* Define to dummy `main' function (if any) required to link to the Fortran
   libraries. */
/* #undef F77_DUMMY_MAIN */

/* Define to dummy `main' function (if any) required to link to the Fortran
   libraries. */
/* #undef FC_DUMMY_MAIN */

/* Define if F77 and FC dummy `main' functions are identical. */
/* #undef FC_DUMMY_MAIN_EQ_F77 */

/* Define to a macro mangling the given C identifier (in lower and upper
   case), which must not contain underscores, for linking with Fortran. */
// #define FC_FUNC(name,NAME) name ## _

/* As FC_FUNC, but for C identifiers containing underscores. */
// #define FC_FUNC_(name,NAME) name ## _

/* Define if you have a BLAS library. */
#define CAROM_HAVE_BLAS 0

/* define if the compiler supports basic C++11 syntax */
#define CAROM_HAVE_CXX11 0

/* Define to 1 if you have the <dlfcn.h> header file. */
#define CAROM_HAVE_DLFCN_H 1

/* Defined if you have HDF5 support */
#define CAROM_HAVE_HDF5 0

/* Define to 1 if you have the <inttypes.h> header file. */
#define CAROM_HAVE_INTTYPES_H 1

/* Define if you have LAPACK library. */
#define CAROM_HAVE_LAPACK 0

/* Define to 1 if you have the <memory.h> header file. */
#define CAROM_HAVE_MEMORY_H 1

/* Define to 1 if you have the <stdint.h> header file. */
#define CAROM_HAVE_STDINT_H 1 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define CAROM_HAVE_STDLIB_H 1 1

/* Define to 1 if you have the <strings.h> header file. */
#define CAROM_HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define CAROM_HAVE_STRING_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define CAROM_HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define CAROM_HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define CAROM_HAVE_UNISTD_H 1

/* Name of package */
#define CAROM_PACKAGE ""

/* Define to the address where bug reports for this package should be sent. */
#define CAROM_PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define CAROM_PACKAGE_NAME ""

/* Define to the full name and version of this package. */
#define CAROM_PACKAGE_STRING ""

/* Define to the one symbol short name of this package. */
#define CAROM_PACKAGE_TARNAME ""

/* Define to the home page for this package. */
#define CAROM_PACKAGE_URL ""

/* Define to the version of this package. */
#define CAROM_PACKAGE_VERSION ""

/* Define to 1 if you have the ANSI C header files. */
#define CAROM_STDC_HEADERS 1

/* Version number of package */
#define CAROM_VERSION ""

#endif
